import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { UnityUserRole } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-10 18:20
 */
interface UnityUserRoleCU extends ConditionUtil<UnityUserRoleCU> {
    ID: FieldUtil<UnityUserRoleCU>;
    TEMP_ID: FieldUtil<UnityUserRoleCU>;
    USER_ID: FieldUtil<UnityUserRoleCU>;
    ROLE_ID: FieldUtil<UnityUserRoleCU>;
    LOT_ID: FieldUtil<UnityUserRoleCU>;
    GROUP_ID: FieldUtil<UnityUserRoleCU>;
    CREATED_BY: FieldUtil<UnityUserRoleCU>;
    CREATED_TIME: FieldUtil<UnityUserRoleCU>;
    CREATED_BY_NAME: FieldUtil<UnityUserRoleCU>;
    NAME: FieldUtil<UnityUserRoleCU>;
}
declare class UnityUserRoleMU extends TableUtilImpl<UnityUserRoleCU, UnityUserRole> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): UnityUserRoleCU;
    static get ID(): FieldUtil<UnityUserRoleCU>;
    static get TEMP_ID(): FieldUtil<UnityUserRoleCU>;
    static get USER_ID(): FieldUtil<UnityUserRoleCU>;
    static get ROLE_ID(): FieldUtil<UnityUserRoleCU>;
    static get LOT_ID(): FieldUtil<UnityUserRoleCU>;
    static get GROUP_ID(): FieldUtil<UnityUserRoleCU>;
    static get CREATED_BY(): FieldUtil<UnityUserRoleCU>;
    static get CREATED_TIME(): FieldUtil<UnityUserRoleCU>;
    static get CREATED_BY_NAME(): FieldUtil<UnityUserRoleCU>;
    static get NAME(): FieldUtil<UnityUserRoleCU>;
    get ID(): FieldUtil<UnityUserRoleCU>;
    get TEMP_ID(): FieldUtil<UnityUserRoleCU>;
    get USER_ID(): FieldUtil<UnityUserRoleCU>;
    get ROLE_ID(): FieldUtil<UnityUserRoleCU>;
    get LOT_ID(): FieldUtil<UnityUserRoleCU>;
    get GROUP_ID(): FieldUtil<UnityUserRoleCU>;
    get CREATED_BY(): FieldUtil<UnityUserRoleCU>;
    get CREATED_TIME(): FieldUtil<UnityUserRoleCU>;
    get CREATED_BY_NAME(): FieldUtil<UnityUserRoleCU>;
    get NAME(): FieldUtil<UnityUserRoleCU>;
}
export { UnityUserRoleMU, UnityUserRoleCU };
